Get transactions
Get transactions
GET
/insights/v1/transactions
Get transactions
Query Parameters
chain
number[]
optional
query
Use chain_id instead
Example:
[20,56,1]chain_id
number[]
optional
query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example:
[20,56,1]filter_block_number
number | null
optional
query
Example:
1000000filter_block_number_gte
number | null
optional
query
Example:
1000000filter_block_number_gt
number | null
optional
query
Example:
1000000filter_block_number_lte
number | null
optional
query
Example:
1000000filter_block_number_lt
number | null
optional
query
Example:
1000000filter_block_hash
string
optional
query
Example:
"0x3a1fba5abd9d41457944e91ed097e039b7b12d3d7ba324a3f422db2277a48e28"filter_block_timestamp
number | null
optional
query
Example:
1715222400filter_block_timestamp_gte
number | null
optional
query
Example:
1715222400filter_block_timestamp_gt
number | null
optional
query
Example:
1715222400filter_block_timestamp_lte
number | null
optional
query
Example:
1715222400filter_block_timestamp_lt
number | null
optional
query
Example:
1715222400sort_by
unknown
optional
query
Example:
"block_number"sort_order
string
optional
query
Example:
"desc"group_by
string | null
optional
query
aggregate
string | null
optional
query
Example:
"count() as count"filter_transaction_index
number | null
optional
query
Example:
5filter_transaction_index_gte
number | null
optional
query
Example:
5filter_transaction_index_gt
number | null
optional
query
Example:
5filter_transaction_index_lte
number | null
optional
query
Example:
5filter_transaction_index_lt
number | null
optional
query
Example:
5decode
boolean | null
optional
query
Example:
truefilter_hash
string
optional
query
Example:
"0x218b632d932371478d1ae5a01620ebab1a2030f9dad6f8fba4a044ea6335a57e"filter_from_address
string
optional
query
Example:
"0xa1e4380a3b1f749673e270229993ee55f35663b4"filter_value
number | null
optional
query
Example:
21000000000000filter_value_gte
number | null
optional
query
Example:
21000000000000filter_value_gt
number | null
optional
query
Example:
21000000000000filter_value_lte
number | null
optional
query
Example:
21000000000000filter_value_lt
number | null
optional
query
Example:
21000000000000filter_gas_price
number | null
optional
query
Example:
50000000000000filter_gas_price_gte
number | null
optional
query
Example:
50000000000000filter_gas_price_gt
number | null
optional
query
Example:
50000000000000filter_gas_price_lte
number | null
optional
query
Example:
50000000000000filter_gas_price_lt
number | null
optional
query
Example:
50000000000000filter_gas
number | null
optional
query
Example:
21000filter_gas_gte
number | null
optional
query
Example:
21000filter_gas_gt
number | null
optional
query
Example:
21000filter_gas_lte
number | null
optional
query
Example:
21000filter_gas_lt
number | null
optional
query
Example:
21000filter_function_selector
string
optional
query
Example:
"0x095ea7b3"filter_to_address
string
optional
query
Example:
"0xa1e4380a3b1f749673e270229993ee55f35663b4"limit
integer
optional
query
Example:
20page
integer | null
optional
query
Example:
0Responses
200
Successful response
application/jsondata
object[]
Array of:
chain_id
string
REQUIRED
block_number
number
REQUIRED
block_hash
string
REQUIRED
block_timestamp
number
REQUIRED
hash
string
REQUIRED
nonce
number
REQUIRED
transaction_index
number
REQUIRED
from_address
string
REQUIRED
to_address
string
REQUIRED
value
string
REQUIRED
gas_price
string
REQUIRED
gas
number
REQUIRED
function_selector
string
REQUIRED
data
string
REQUIRED
max_fee_per_gas
string
REQUIRED
max_priority_fee_per_gas
string
REQUIRED
transaction_type
number
REQUIRED
r
string
REQUIRED
s
string
REQUIRED
v
string
REQUIRED
access_list_json
string
authorization_list_json
string
contract_address
string
gas_used
number
cumulative_gas_used
number
effective_gas_price
string
blob_gas_used
number
blob_gas_price
string
logs_bloom
string
status
number
decoded
object
name
string
REQUIRED
signature
string
REQUIRED
inputs
object
aggregations
unknown | null
meta
object
REQUIRED
chain_ids
number[]
REQUIRED
Array of:
address
string
signature
string
page
number
REQUIRED
limit_per_chain
number
REQUIRED
total_items
number
REQUIRED
total_pages
number
REQUIRED
400
Bad request
500
Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/transactions'
const response = await fetch('https://data-api.b3.fun//insights/v1/transactions', {
method: 'GET'
});
const data = await response.json();
console.log(data);
import requests
response = requests.get('https://data-api.b3.fun//insights/v1/transactions')
print(response.json())
200
Response
{
"data": [
{
"chain_id": "<string>",
"block_number": 123,
"block_hash": "<string>",
"block_timestamp": 123,
"hash": "<string>",
"nonce": 123,
"transaction_index": 123,
"from_address": "<string>",
"to_address": "<string>",
"value": "<string>",
"gas_price": "<string>",
"gas": 123,
"function_selector": "<string>",
"data": "<string>",
"max_fee_per_gas": "<string>",
"max_priority_fee_per_gas": "<string>",
"transaction_type": 123,
"r": "<string>",
"s": "<string>",
"v": "<string>",
"access_list_json": "<string>",
"authorization_list_json": "<string>",
"contract_address": "<string>",
"gas_used": 123,
"cumulative_gas_used": 123,
"effective_gas_price": "<string>",
"blob_gas_used": 123,
"blob_gas_price": "<string>",
"logs_bloom": "<string>",
"status": 123,
"decoded": {
"name": "<string>",
"signature": "<string>",
"inputs": "<object>"
}
}
],
"aggregations": "<unknown>",
"meta": {
"chain_ids": [
123
],
"address": "<string>",
"signature": "<string>",
"page": 123,
"limit_per_chain": 123,
"total_items": 123,
"total_pages": 123
}
}
GET
/insights/v1/transactions